<?php	
/*
	CMS ,,Black Min''  Został stworzony przez di_Timonix'a
	
	ten plik służy do przepisywania danych z bazy danych do funkcji które wyświetlają post po tablicy
	
	Black Min cms,
	
	#plik: 1.0
*/

	// skrypt przepisujący dane z bazy danych do funkcji po przez klase(post_bm) pobierającą dane o pośćie
	function query_load_posts(){
		global $home;
		//$home = new post_bm();
		//echo $home->query_load_post();
		return $home->query_load_post();
	};
	
	function id_posts(){
		global $home;
		return $home->id_post();
	};
	
	function author_posts(){
		global $home;
		return $home->author_post();
	};

	function title_posts(){
		global $home;
		return $home->title_post();
	};
	
	function url_posts(){
		global $home;
		return $home->url_post();
	};
	
	function format_posts(){
		global $home;
		return $home->format_post();
	};
	
	function category_posts(){
		global $home;
		return $home->category_post();
	};
	
	function status_posts(){
		global $home;
		return $home->status_post();
	};
	
	function tag_posts(){
		global $home;
		return $home->tag_post();
	};
	
	function datetime_posts(){
		global $home;
		return $home->datetime_post();
	};
	
	function datetime_change_posts(){
		global $home;
		return $home->datetime_change_post();
	};
	
	function user_edit_posts(){
		global $home;
		return $home->user_edit_post();
	};
	
	function comments_posts(){
		global $home;
		return $home->comments_post();
	};
	
	function thumbnail_posts(){
		global $home;
		return $home->thumbnail_post();
	};
	
	function contents_posts(){
		global $home;
		return $home->contents_post();
	};
	
	// sprawdzanie poprawnośći hasła
	function validate_password_posts(){
		global $home;
		return $home->validate_password_post();
	};

	function address_posts(){
		global $home;
		return $home->address_post();
	};

?>